package _VisualDVM.ProjectData.SapforData.Includes.Analysis;
import Common.Utils.Utils_;
import _VisualDVM.ProjectData.SapforData.FileObject;
import com.google.gson.annotations.Expose;
public class Include extends FileObject {
    //JSON-
    @Expose
    public String dependencyFileName = "";
    //-----
    public Include(String file_in, String dependencyName_in) {
        super(file_in);
        dependencyFileName = dependencyName_in;
    }
    @Override
    public String getSelectionText() {
        return "включение: " + Utils_.Brackets(dependencyFileName);
    }
    //мб на будущее расширить, в какой строке находится команда икнлудить файл.
    // но это уже к Сапфору
}
